///// VARIABLES COULEURS /////
$couleur_primaire: #bf754b;
$couleur_secondaire: #000;
$noir: #000;
$blanc: #fff;

///// IMPORT FONTS /////
@font-face {
    font-family: 'Montserrat';
    src: url("../fonts/montserrat.ttf") format("truetype");
}

@font-face {
    font-family: 'RussoOne';
    src: url("../fonts/russoOne.ttf") format("truetype");
}

///// VARIABLES FONT FAMILIES /////
$font_titre: 'RussoOne';
$font_texte: 'Montserrat';

///// MIXINS RESPONSIVE /////

// Min
@mixin min768 {
    @media (min-width: 768px) {
        @content;
    }
}

@mixin min981 {
    @media (min-width: 981px) {
        @content;
    }
}

@mixin min1406 {
    @media (min-width: 1406px) {
        @content;
    }
}

@mixin min1921 {
    @media (min-width: 1921px) {
        @content;
    }
}

// Max

@mixin max479 {
    @media (max-width: 479px) {
        @content;
    }
}

@mixin max767 {
    @media (max-width: 767px) {
        @content;
    }
}

@mixin max980 {
    @media (max-width: 980px) {
        @content;
    }
}

@mixin max1200 {
    @media (max-width: 1200px) {
        @content;
    }
}

@mixin max1405 {
    @media (max-width: 1405px) {
        @content;
    }
}

@mixin max1920 {
    @media (max-width: 1920px) {
        @content;
    }
}

///// TRANSITIONS /////
.slide-in {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background-color: $couleur_primaire;
    z-index: 1000;
    transform-origin: bottom;
}

.slide-out {
    position: fixed;
    top: 0;
    z-index: 1000;
    left: 0;
    width: 100%;
    height: 100vh;
    background-color: $couleur_primaire;
    transform-origin: top;
}